curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"data": [
{
"id": "<string>",
"status": "activated",
"developer_fee_percent": "0.1",
"fee_config": {
"source": {
"default": {
"fee_percent": "0.5",
"minimum_fee": "1.00"
},
"wire": {
"fee_amount": "10.00",
"fee_percent": "1.0"
}
}
},
"customer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source_deposit_instructions": {
"currency": "usd",
"payment_rails": [
"ach_push",
"fednow",
"wire"
],
"bank_name": "Lead Bank",
"bank_address": "1801 Main St., Kansas City, MO 64108",
"bank_beneficiary_name": "Customer Name",
"bank_beneficiary_address": "1234 Main St., Kansas City, MO 64108",
"bank_account_number": "123456789",
"bank_routing_number": "87654321"
},
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
}
}
]
}List Virtual Accounts by Customer
List all Virtual Account objects for a customer
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Query Parameters
Limit results to those with the given activation status The activation status of the Virtual Account
activated, deactivated The number of items to return (min 1, default 10, max 100)
1 <= x <= 100This is a virtual account id. If this is specified, the next page that starts with a virtual account right AFTER the specified virtual account id on the virtual account timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that virtual account older than the specified virtual account id will be returned (shouldn't be set if ending_before is set)
This is a virtual account id. If this is specified, the previous page that ends with a virtual account right BEFORE the specified virtual account id on the virtual account timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that virtual account newer than the specified virtual account id will be returned (shouldn't be set if starting_after is set)
Was this page helpful?